.navContainer {
  position: sticky;
  z-index: 100;
  top: 0;
  width: 100%;
  margin: 0 auto;
  max-width: 1000px;
}

.header {
  position: relative;
  z-index: 100;
  background-image: url(../images/header.png);
  background-image: url(../images/header.webp);
  background-color: #8D0002;
  height: 120px;
  max-width: 1000px;
  /* overflow: hidden; */
  font-family: "Noto Sans TC", sans-serif;
  /* display: flex; */
  /* justify-content: right; */
}

.header .navbuttons a {
  font-size: 1.8rem;
  font-weight: bold;
  display: block;
  text-align: center;
  padding: 3% 0 3% 0;
  color: #fff;
  padding: 0 15px 0 15px;
}

.header .navbuttons a:hover {
  transform: translateY(5%);
  transition: .2s;
}

.header a:last-child {
  margin-right: 20px;
  color: #ffff00;
  border-right: unset;
}

.hamburger-wrapper {
  cursor: pointer;
  position: absolute;
  right: 5%;
  top: 20px;
}

#hamburger-toggle {
  display: none;
}

.hamburger-wrapper {
  display: none;
}

.header_open {
  height: 290px !important;
}

#ctaEnd {
  transform: translateY(-60px);
}

.header .navbuttons>a:hover {
  transform: unset;
  transition: unset;
}

.header {
  display: block;
  overflow: hidden;
  background-size: 80%;
  height: 90px;
  transition: height 0.3s;
  background-repeat: no-repeat;
}

.header .navbuttons {
  display: block;
  margin-top: 90px;
  height: 120px;
}

.header .navbuttons a {
  font-size: 1.4rem;
  background: #9a3838 !important;
  border-right: unset;
  height: 50px;
  border-top: 2px dashed #fff;
  padding-top: 1%;
}

.header a:last-child {
  margin-right: unset;
  border-right: unset;
}

.hamburger-wrapper {
  display: block;
  cursor: pointer;
  position: absolute;
  right: 5%;
  top: 32px;
}

.header a:last-child {
  border-radius: 0;
}

#hamburger-toggle {
  display: none;
}

.hamburger {
  width: 30px;
  height: 20px;
  position: relative;
}

.hamburger span {
  position: absolute;
  height: 3px;
  width: 100%;
  background: #fff;
  left: 0;
  transition: 0.3s;
  border-radius: 2px;
}

.hamburger span:nth-child(1) {
  top: 0;
}

.hamburger span:nth-child(2) {
  top: 50%;
  transform: translateY(-50%);
}

.hamburger span:nth-child(3) {
  bottom: 0;
}

/* 點擊後變成 X */
#hamburger-toggle:checked+.hamburger span:nth-child(1) {
  transform: rotate(45deg);
  top: 9px;
}

#hamburger-toggle:checked+.hamburger span:nth-child(2) {
  opacity: 0;
}

#hamburger-toggle:checked+.hamburger span:nth-child(3) {
  transform: rotate(-45deg);
  bottom: 9px;
}

@media screen and (max-width: 768px) {
  .header_open {
    height: 260px !important;
  }

  .header {
    display: block;
    overflow: hidden;
    background-size: 120%;
    background-position: top left;
    height: 60px;
    transition: height 0.3s;
  }

  .header .navbuttons {
    display: block;
    margin-top: 60px;
    height: 120px;
  }


  .hamburger-wrapper {
    display: block;
    cursor: pointer;
    position: absolute;
    right: 5%;
    top: 20px;
  }
}

/* 平板 */
@media screen and (width: 768px) {
  .header_open {
    height: 260px !important;
  }

  .header {
    display: block;
    overflow: hidden;
    background-size: 80%;
    background-position: top left;
    height: 60px;
    transition: height 0.3s;
  }

  .header .navbuttons {
    display: block;
    margin-top: 60px;
    height: 120px;
  }


  .hamburger-wrapper {
    display: block;
    cursor: pointer;
    position: absolute;
    right: 5%;
    top: 20px;
  }
}